Index: tests/regression/Filling/testsuite-fill-void-with-molecule.at
===================================================================
--- tests/regression/Filling/testsuite-fill-void-with-molecule.at	(revision d6f8869464bd2208482a0f62cc438db4939fc16d)
+++ tests/regression/Filling/testsuite-fill-void-with-molecule.at	(revision d6f8869464bd2208482a0f62cc438db4939fc16d)
@@ -0,0 +1,34 @@
+### 3. filling box
+
+AT_SETUP([Filling - filling void space in box])
+AT_KEYWORDS([filling])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/3/pre/test.conf .], 0)
+AT_DATA([water.xyz], [[3
+ # test configuration, created by molecuilder test suite
+O       0.      0.      0.
+H       0.758602 0.     0.504284 
+H       0.758602 0.     -0.504284 
+]])
+AT_CHECK([../../molecuilder -i test.conf  -o xyz --fill-void water.xyz --distances "3.1, 3.1, 3.1"  --distance-to-molecule "1.5" --DoRotate 0], 0, [stdout], [stderr])
+AT_CHECK([file=test.xyz; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/3/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Filling - filling void space in box with Undo])
+AT_KEYWORDS([filling])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/3/pre/test.conf .], 0)
+AT_DATA([water.xyz], [[3
+ # test configuration, created by molecuilder test suite
+O       0.      0.      0.
+H       0.758602 0.     0.504284 
+H       0.758602 0.     -0.504284 
+]])
+AT_CHECK([../../molecuilder -i empty.conf  -o xyz --fill-void water.xyz --distances "3.1, 3.1, 3.1"  --distance-to-molecule "1.5" --DoRotate 0 --undo], 0, [stdout], [stderr])
+AT_CHECK([file=empty.xyz; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/3/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Filling - filling void space besides tenside micelle in box])
+AT_KEYWORDS([filling])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/3/pre/*.data .], 0)
+AT_CHECK([../../molecuilder -i tensid.data  -B "30,0,30,0,0,30" --fill-void water.data --distances "3.1, 3.1, 3.1" --distance-to-molecule "2.1" --DoRotate 0], 0, [stdout], [stderr])
+AT_CHECK([file=tensid.data; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/3/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Filling/testsuite-fill-with-molecule.at
===================================================================
--- tests/regression/Filling/testsuite-fill-with-molecule.at	(revision d6f8869464bd2208482a0f62cc438db4939fc16d)
+++ tests/regression/Filling/testsuite-fill-with-molecule.at	(revision d6f8869464bd2208482a0f62cc438db4939fc16d)
@@ -0,0 +1,13 @@
+### 1. filling with molecule
+AT_SETUP([Filling - filling box around molecule's surface])
+AT_KEYWORDS([filling])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/1/pre/test.conf .], 0)
+AT_DATA([water.xyz], [[3
+ # test configuration, created by molecuilder test suite
+O       0.      0.      0.
+H       0.758602 0.     0.504284 
+H       0.758602 0.     -0.504284 
+]])
+AT_CHECK([../../molecuilder -i test.conf  -v 3 -F water.xyz --MaxDistance -1 --distances "3.1, 3.1, 3.1"  --distance-to-molecule "2.1" --DoRotate 0], 0, [stdout], [stderr])
+AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/1/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Filling/testsuite-filling.at
===================================================================
--- tests/regression/Filling/testsuite-filling.at	(revision d6f8869464bd2208482a0f62cc438db4939fc16d)
+++ tests/regression/Filling/testsuite-filling.at	(revision d6f8869464bd2208482a0f62cc438db4939fc16d)
@@ -0,0 +1,10 @@
+AT_BANNER([MoleCuilder - Filling in molecules])
+
+# 1. filling box
+m4_include(Filling/testsuite-fill-with-molecule.at)
+
+# 2. suspend in water with certain density
+m4_include(Filling/testsuite-suspend-in-water.at)
+
+# 3. filling box
+m4_include(Filling/testsuite-fill-void-with-molecule.at)
Index: tests/regression/Filling/testsuite-suspend-in-water.at
===================================================================
--- tests/regression/Filling/testsuite-suspend-in-water.at	(revision d6f8869464bd2208482a0f62cc438db4939fc16d)
+++ tests/regression/Filling/testsuite-suspend-in-water.at	(revision d6f8869464bd2208482a0f62cc438db4939fc16d)
@@ -0,0 +1,8 @@
+### 2. suspend in water with certain density
+
+AT_SETUP([Filling - BROKEN: suspend in water])
+AT_KEYWORDS([filling])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/2/pre/test.conf .], 0)
+AT_CHECK([../../molecuilder -i test.conf  -v 3 --select-molecule-by-id 0 -u 1.3], 0, [stdout], [stderr])
+#AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Filling/2/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
